Constants (Lucene 2.4.1 API)
Keywords: org.apache.lucene.util.Constants class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class Constants

    java.lang.Object
      org.apache.lucene.util.Constants

    public final class Constants

extends Object

Some useful constants.

Version:
  $Id: Constants.java 564236 2007-08-09 15:21:19Z gsingers $

Field Summary
`static boolean` | `JAVA_1_1` True iff this is Java version 1.1.
`static boolean` | `JAVA_1_2` True iff this is Java version 1.2.
`static boolean` | `JAVA_1_3` True iff this is Java version 1.3.
`static String` | `JAVA_VERSION` The value of `System.getProperty("java.version")`.``
`static boolean` | `LINUX` True iff running on Linux.
`static String` | `OS_NAME` The value of `System.getProperty("os.name")`.``
`static boolean` | `SUN_OS` True iff running on SunOS.
`static boolean` | `WINDOWS` True iff running on Windows.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVA_VERSION

    public static final String JAVA_VERSION

  The value of `System.getProperty("java.version")`.

  ``

### JAVA_1_1

    public static final boolean JAVA_1_1

  True iff this is Java version 1.1.

### JAVA_1_2

    public static final boolean JAVA_1_2

  True iff this is Java version 1.2.

### JAVA_1_3

    public static final boolean JAVA_1_3

  True iff this is Java version 1.3.

### OS_NAME

    public static final String OS_NAME

  The value of `System.getProperty("os.name")`.

  ``

### LINUX

    public static final boolean LINUX

  True iff running on Linux.

### WINDOWS

    public static final boolean WINDOWS

  True iff running on Windows.

### SUN_OS

    public static final boolean SUN_OS

  True iff running on SunOS.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.